-- name: [CS] Super Spamton 64
-- description: NOW'S YOUR CHANCE TO BE A BIG SHOT!\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local E_MODEL_SPAMTON = smlua_model_util_get_id("spamton_geo")
local E_MODEL_SPAMTONB = smlua_model_util_get_id("neo_geo")
local E_MODEL_SPAMTONC = smlua_model_util_get_id("addison_geo")
local E_MODEL_SPAMTOND = smlua_model_util_get_id("bigshot_geo")
local E_MODEL_SPAMTONE = smlua_model_util_get_id("flatspam_geo")
local E_MODEL_SPAMTONF = smlua_model_util_get_id("ralspam_geo")
local E_MODEL_SPAMTONG = smlua_model_util_get_id("spamario_geo")
local E_MODEL_SPAMTONH = smlua_model_util_get_id("spamdress_geo")
local E_MODEL_SPAMTONI = smlua_model_util_get_id("spamswim_geo")

local TEX_SPAMTON = get_texture_info("spamton_icon")
local TEX_NEO = get_texture_info("neo_icon")
local TEX_ADSPAM = get_texture_info("ad_icon")
local TEX_BIGSHOT = get_texture_info("bigshot_icon")
local TEX_RALSPAM = get_texture_info("ralspam_icon")
local TEX_SPAMARIO = get_texture_info("spamario_icon")

local TEXT_MOD_NAME = "[CS] Super Spamton 64"

local VOICETABLE_SPAMTON = {
    [CHAR_SOUND_ATTACKED] = 'hurt.ogg',
    [CHAR_SOUND_DOH] = 'doh.ogg',
    [CHAR_SOUND_DROWNING] = 'drowning.ogg',
    [CHAR_SOUND_DYING] = 'dying.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'wah.ogg',
    [CHAR_SOUND_HAHA] = 'haha.ogg',
    [CHAR_SOUND_HAHA_2] = 'haha.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'here_we_go.ogg',
    [CHAR_SOUND_HOOHOO] = 'hoohoo.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'mama_mia.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'okey_dokey.ogg',
    [CHAR_SOUND_ON_FIRE] = 'on_fire.ogg',
    [CHAR_SOUND_OOOF] = 'oof.ogg',
    [CHAR_SOUND_OOOF2] = 'ooof.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'punch_hoo.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'wah.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'punch_yah.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'gay_bowser.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'twirl_bounce.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'waaaooow.ogg',
    [CHAR_SOUND_WAH2] = 'wah2.ogg',
    [CHAR_SOUND_WHOA] = 'woah.ogg',
    [CHAR_SOUND_YAHOO] = 'yahoo.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'yahoo.ogg', 'waha.ogg', 'yippee.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'yah.ogg', 'wah.ogg', 'hoo.ogg',
    [CHAR_SOUND_YAWNING] = 'yawning.ogg',
}

local capSpamton = {
    normal = smlua_model_util_get_id("spamton_cap_geo"),
    wing = smlua_model_util_get_id("spamton_wing_cap_geo"),
	metal = smlua_model_util_get_id("spamton_cap_geo")
}

_G.charSelect.character_add_caps(E_MODEL_SPAMTON, capSpamton)
_G.charSelect.character_add_caps(E_MODEL_SPAMTONB, capSpamton)
_G.charSelect.character_add_caps(E_MODEL_SPAMTONC, capSpamton)
_G.charSelect.character_add_caps(E_MODEL_SPAMTOND, capSpamton)
_G.charSelect.character_add_caps(E_MODEL_SPAMTONE, capSpamton)
_G.charSelect.character_add_caps(E_MODEL_SPAMTONF, capSpamton)
_G.charSelect.character_add_caps(E_MODEL_SPAMTONG, capSpamton)
_G.charSelect.character_add_caps(E_MODEL_SPAMTONH, capSpamton)
_G.charSelect.character_add_caps(E_MODEL_SPAMTONI, capSpamton)

if _G.charSelectExists then
    _G.charSelect.character_add("Spamton", {"NOW'S YOUR CHANCE", "TO BE A [BIG SHOT]!"}, "BWGLite", {r = 255, g = 255, b = 255}, E_MODEL_SPAMTON, CT_MARIO, TEX_SPAMTON)
	_G.charSelect.character_add("Spamton NEO", {"                 ", "        [BIG]."}, "BWGLite", {r = 255, g = 255, b = 255}, E_MODEL_SPAMTONB, CT_MARIO, TEX_NEO)
	_G.charSelect.character_add("Addison Spamton", {"COME TO BIG SHOT AUTOS!!"}, "BWGLite", {r = 255, g = 255, b = 255}, E_MODEL_SPAMTONC, CT_MARIO, TEX_ADSPAM)
    _G.charSelect.character_add("Big Shot Spamton", {"F1NALLY... I AM A", "[BIG SHOT]!"}, "BWGLite", {r = 255, g = 255, b = 255}, E_MODEL_SPAMTOND, CT_MARIO, TEX_BIGSHOT)
	_G.charSelect.character_add("Flat-Shaded Spamton", {"I'VE FINALLY SEEN THE [Light]!!!!"}, "BWGLite", {r = 255, g = 255, b = 255}, E_MODEL_SPAMTONE, CT_MARIO, TEX_SPAMTON)
    _G.charSelect.character_add("Ralsei Spamton", {"KRIS!! YOU CAN TRUST ME!", "IT'S YOUR [Fr1end Reuqest Accepted!]", "TRUST ME!"}, "BWGLite", {r = 77, g = 204, b = 142}, E_MODEL_SPAMTONF, CT_MARIO, TEX_RALSPAM)
	_G.charSelect.character_add("Spamario", {"[It's a-me!],", "SPAMTON!!"}, "BWGLite", {r = 255, g = 0, b = 0}, E_MODEL_SPAMTONG, CT_MARIO, TEX_SPAMARIO)
	_G.charSelect.character_add("Dress Spamton", {"KRIS!! GET ME OUT OF THIS DAMNED", "[Clothing Items on sale!]"}, "BWGLite", {r = 255, g = 255, b = 255}, E_MODEL_SPAMTONH, CT_MARIO, TEX_SPAMTON)
	_G.charSelect.character_add("Swimming Spamton", {"WOAH MAMA!! LOOK AT THAT [Sexyman]!!"}, "BWGLite", {r = 255, g = 255, b = 255}, E_MODEL_SPAMTONI, CT_MARIO, TEX_SPAMTON)


    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_SPAMTON, VOICETABLE_SPAMTON)
	_G.charSelect.character_add_voice(E_MODEL_SPAMTONB, VOICETABLE_SPAMTON)
	_G.charSelect.character_add_voice(E_MODEL_SPAMTONC, VOICETABLE_SPAMTON)
	_G.charSelect.character_add_voice(E_MODEL_SPAMTOND, VOICETABLE_SPAMTON)
	_G.charSelect.character_add_voice(E_MODEL_SPAMTONE, VOICETABLE_SPAMTON)
	_G.charSelect.character_add_voice(E_MODEL_SPAMTONF, VOICETABLE_SPAMTON)
	_G.charSelect.character_add_voice(E_MODEL_SPAMTONG, VOICETABLE_SPAMTON)
	_G.charSelect.character_add_voice(E_MODEL_SPAMTONH, VOICETABLE_SPAMTON)
	_G.charSelect.character_add_voice(E_MODEL_SPAMTONI, VOICETABLE_SPAMTON)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SPAMTON then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SPAMTON then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end